CollectionsDirect DebitBatch Collections

Get a Batch Direct Debit Collection

GET
/v1/direct-debit-payment-batches/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

curl -X GET "https://example.com/v1/direct-debit-payment-batches/string"
{  "createdAt": "string",  "currency": "string",  "id": "string",  "metadata": {    "fileName": "string"  },  "paymentDate": "string",  "payments": [    {      "amount": 0,      "createdAt": "string",      "currency": "string",      "customerReference": "string",      "directDebitAuthorizationId": "string",      "directDebitAuthorizationInformation": {        "billReferenceNumber": "string",        "internalAccountId": "string",        "payerBankAccountNumber": "string",        "payerName": "string",        "payerSwiftBic": "string"      },      "id": "string",      "receiver": {        "bankAccountNumber": "string"      },      "resultCode": "string",      "status": "string",      "updatedAt": "string"    }  ],  "status": "string",  "type": "string",  "updatedAt": "string"}